commit 129baf3518193da8cc7d2638d10b3a72649a5f45
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Mar 24 13:03:24 2024 -0700

    xf86-video-savage 2.4.1
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ac67fa9515ceb9a115feb56e28b8191af886a563
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jan 15 11:44:21 2024 -0800

    Quiet -Wredundant-decls from xorg/os.h fallbacks for new libc functions
    
    The Xorg headers provide their own versions of strlcat, strlcpy, and
    timingsafe_memcmp for platforms that don't have them in libc yet, but
    rely on configure to set HAVE_* defines to determine if they should be
    defined in the headers.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 9a57874a00557663e21679c40c02469f3079d953
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Jan 10 18:11:12 2024 -0800

    Fix 5 -Wshadow warnings
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2548cd71e8f466097c2d6fbebd5bb1ba4de6cd25
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Jan 10 17:57:18 2024 -0800

    Use C99 named initializers for XF86ModReqInfo in SavagePreInit()
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e1e06b461d7e7b9896b2bd760ccd9fa4c5d72526
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Jan 10 17:53:35 2024 -0800

    Fix -Wdeclaration-after-statement warning in SavagePreInit()
    
    savage_driver.c: In function ‘SavagePreInit’:
    savage_driver.c:2168:13: warning: ISO C90 forbids mixed declarations and code [-Wdeclaration-after-statement]
     2168 |             XF86ModReqInfo req;
          |             ^~~~~~~~~~~~~~
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4ceb83fad85b836622793807f3dc0cfdb5bbb000
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Jan 10 17:50:05 2024 -0800

    Fix warning: no previous prototype for ‘SavageGetCopyROP’
    
    savage_accel.c:1541:5: warning: no previous prototype for ‘SavageGetCopyROP’ [-Wmissing-prototypes]
     1541 | int SavageGetCopyROP(int rop) {
          |     ^~~~~~~~~~~~~~~~
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ab02c63fb4acb318ff4f996a84d3c623507433cb
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Jan 10 17:44:14 2024 -0800

    Revert "exa: Use exaGetPixmapFirstPixel() instead of devPrivate.ptr"
    
    This reverts commit ac460e6836bdd2cd16c9d29743376c16fdc6924e.
    
    Fixes gcc error:
    savage_exa.c: In function ‘SavageDownloadFromScreen’:
    savage_exa.c:570:26: warning: cast from function call of type ‘CARD32’ {aka ‘unsigned int’} to non-matching type ‘unsigned char *’ [-Wbad-function-cast]
       570 |     unsigned char *src = (unsigned char *) exaGetPixmapFirstPixel(pSrc);
           |                          ^

commit f7d999c336adc1f503a58c1859b6f0c48c03497b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Jan 10 17:26:28 2024 -0800

    Add X.Org's standard C warning flags to AM_CFLAGS
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 17e977672f9a45bf94df5ec6a847133ee054838e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Jan 10 17:24:43 2024 -0800

    configure: Use LT_INIT from libtool 2 instead of deprecated AC_PROG_LIBTOOL
    
    AC_PROG_LIBTOOL was replaced by LT_INIT in libtool 2 in 2008,
    so it's time to rely on it.
    
    Clears autoconf warnings:
    
    configure.ac:44: warning: The macro 'AC_PROG_LIBTOOL' is obsolete.
    configure.ac:44: You should run autoupdate.
    aclocal.m4:3515: AC_PROG_LIBTOOL is expanded from...
    configure.ac:44: the top level
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ce15de3a23a2088d29532ff2e1bd83a46ff47439
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Dec 7 18:39:21 2023 -0800

    Don't build unused code for HorizScaleFactor != 1
    
    Clears gcc 13.2 warning:
    savage_driver.c: In function ‘SavageModeInit’:
    savage_driver.c:3731:13: warning: this condition has identical branches
     [-Wduplicated-branches]
     3731 |     else if (pScrn->bitsPerPixel == 16)
          |             ^
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit de5aa430a225ccc526cb55ca72c899bc2a199653
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Dec 7 18:36:00 2023 -0800

    Don't call xf86DisableRandR in ABI_VIDEODRV_VERSION 24 & later
    
    The API was removed by Xserver commit dd00e5466a0e4ea313d1860824da4123692827ed
    in xorg-server-1.20.0 and later.
    
    Found by gcc -Werror=implicit:
    
    savage_driver.c: In function ‘SavagePreInit’:
    savage_driver.c:1237:13: error: implicit declaration of function
     ‘xf86DisableRandR’; did you mean ‘xf86DisableIO’?
     [-Werror=implicit-function-declaration]
     1237 |             xf86DisableRandR();
          |             ^~~~~~~~~~~~~~~~
          |             xf86DisableIO
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 64c525938c3a338625f36dab6a8543216a1cfb48
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Oct 6 16:00:49 2023 -0700

    gitlab CI: ensure libtool is installed in build container
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit bd0a761059d8542323cf69138755eb8ccbfd8d9f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Apr 9 13:00:26 2023 -0700

    xf86-video-savage 2.4.0
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 04137c3a614f2c8477877c6925e6aa657954c47d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Dec 8 17:36:59 2022 -0800

    Fix -Wformat warnings about integer size of arguments
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e9ed4a875524c7d0876612e561ee9868da5a01d3
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Dec 8 17:29:31 2022 -0800

    constify some char * declarations
    
    Clears 8 of 15 -Wdiscarded-qualifiers warnings from gcc
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7133cd19ec1dad028303b2c3c829998152c0ba1a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jul 28 17:30:21 2022 -0700

    gitlab CI: stop requiring Signed-off-by in commits
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5c25920ed2796092157b46eccfece0b6ae665b04
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jan 27 18:11:44 2022 -0800

    gitlab CI: add a basic build test
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d9e6a6e2e0ba4c64b2e52aea55aefabc693e9f97
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jan 27 17:47:19 2022 -0800

    Fix spelling/wording issues
    
    Found by using:
        codespell --builtin clear,rare,usage,informal,code,names
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e966c430b1a9ace6cca2bc05d169a54092c4778e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jan 27 17:42:49 2022 -0800

    Build xz tarballs instead of bzip2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2ec88355123b1def99d8c79769f396ac97bc5008
Author: Fabrice Fontaine <fontaine.fabrice@gmail.com>
Date:   Sat May 4 21:03:28 2019 +0200

    configure.ac: fix cross-compilation
    
    AC_CHECK_FILE can't be used when cross-compiling
    
    [Retrieved from:
    https://git.buildroot.net/buildroot/tree/package/x11r7/xdriver_xf86-video-savage/0001-cross-compile.patch]
    Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com>

commit 8579718352809c04809bc810c9c3f6207eaa06b5
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Mon Jan 28 20:03:25 2019 -0800

    Changing result parameter type for ScreenWakeupHandlerProcPtr
    
    For ABI_VIDEODRV_VERSION >= 23, it was changed to int from unsigned
    long.
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>
    Reviewed-by: Matt Turner <mattst88@gmail.com>

commit fcc50b5af5a13083337984fc53e41cd704e84e15
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Thu Dec 13 10:54:24 2018 -0600

    Eliminate unused variable compilation warnings
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit 69f6c305f41b1af500c4a40b7fb43a021ca8b255
Author: Kevin Brace <kevinbrace@gmx.com>
Date:   Thu Dec 13 10:53:30 2018 -0600

    Eliminate set but not used variable compilation warnings
    
    Signed-off-by: Kevin Brace <kevinbrace@gmx.com>

commit dce59663ecd846831724d6d7303ee813fa458a7d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Dec 7 19:07:23 2018 -0800

    Update configure.ac bug URL for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 00dd9447bfd6aea80d279b22d469b88cc60a799e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Nov 18 16:15:34 2018 -0800

    Update README for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0ece556daa8a88771b669d8104396abd9166d2d0
Author: Stefan Dirsch <sndirsch@suse.de>
Date:   Mon Jun 25 15:55:06 2018 +0200

    Add check for max[HV]Value to ValidMode hook
    
    xorg-server 1.20 removed this check, so implement this in the driver
    itself.
    
    Signed-off-by: Stefan Dirsch <sndirsch@suse.de>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com>

commit 4241304ee2101563d2d8eb8916d85fc3626f181b
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Jul 17 12:17:56 2017 +0100

    xf86-video-savage: remove the GlxSetVisualConfigs stub and friends
    
    The function was an empty since 2008 at least. Remove it alongside the
    unused GLX visuals code.
    
    With this all the GL/GLX dependencies in the driver are gone.
    
    Cc: Stefan Dirsch <sndirsch@suse.de>
    Cc: Hans de Goede <hdegoede@redhat.com>
    Signed-off-by: Emil Velikov <emil.velikov@collabora.com>

commit 1f42681efbb20e208f617ef2e6d5f2a05486a243
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 14:00:22 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>

commit b934a3ab0a850401b6b8dd34a3c7a258d64af8a8
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 12:00:52 2015 +0000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 28619f7aa35daaa50e156c4a6e7e26797e690940
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 24 10:32:07 2017 +1000

    autogen.sh: use exec instead of waiting for configure to finish
    
    Syncs the invocation of configure with the one from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com>

commit daff0d3e729d2cb0f0d6a08759fb1e4350bf8b85
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jun 1 21:03:14 2014 -0700

    autogen.sh: Honor NOCONFIGURE=1
    
    See http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 419694a31d02052dfba5cd156dde0bbbf811fb7e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jun 1 21:03:13 2014 -0700

    configure: Drop AM_MAINTAINER_MODE
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d0582b84231de1b089eda296cd3bb859e5df1acd
Author: Matt Turner <mattst88@gmail.com>
Date:   Tue Jan 17 14:44:13 2017 -0800

    xf86-video-savage 2.3.9
    
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit de3e1803314820968502156703d5bfe3fab24972
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Jul 19 10:03:56 2016 -0400

    Adapt Block/WakeupHandler signature for ABI 23
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit de61497415e58a21fa247faf6db180ca47fb5df0
Author: Stefan Dirsch <sndirsch@suse.de>
Date:   Wed Apr 27 16:02:13 2016 +0200

    Disable tiling on SuperSavage by default
    
    Xserver cannot be started with Tiling enabled on SuperSavage.
    https://bugzilla.opensuse.org/show_bug.cgi?id=805380
    
    Signed-off-by: Stefan Dirsch <sndirsch@suse.de>
    Acked-by: Hans de Goede <hdegoede@redhat.com>

commit f8f24e6856e2627f6620a8fd0474366d057496d2
Author: Julien Cristau <jcristau@debian.org>
Date:   Fri May 8 12:08:50 2015 +0200

    Bump to 2.3.8
    
    Signed-off-by: Julien Cristau <jcristau@debian.org>

commit 1b58f8ab061f52d8aab9758b4dfa7e48e76b847a
Author: Julien Cristau <jcristau@debian.org>
Date:   Fri May 8 12:07:42 2015 +0200

    Fix compiler warnings with recent X servers
    
    savage_driver.c:1228:12: warning: assignment discards 'const' qualifier from pointer target type
         if ((s = xf86GetOptValString(psav->Options, OPTION_ROTATE))) {
                ^
    
    Signed-off-by: Julien Cristau <jcristau@debian.org>

commit d28cd83c7b0b4a943efbe5ddf257c8ee2646ea73
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Jul 29 09:15:26 2014 -0400

    dri: Stop (uselessly) initializing the ValidateTree hooks
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 16a672d1ba183601d513c4cdca32b47e926a6d1e
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed May 21 14:11:46 2014 -0400

    Use own thunk function instead of vgaHW*Weak
    
    I plan to remove the Weak functions from a future server.
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 2e9217bb88b76cebfcd2b65b76c8733f80da77ea
Author: Jeremy White <jwhite@codeweavers.com>
Date:   Thu Mar 21 10:59:13 2013 -0500

    Include xf86Modes.h to use functions from hw/xfree86/modes/xf86Modes.c.
    
    Signed-off-by: Jeremy White <jwhite@codeweavers.com>
    Reviewed-by: Robert Morell <rmorell@nvidia.com>

commit d27abbf74fee30ddb9a3ca0d597ca0ce16a1bc35
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Tue Sep 24 23:14:35 2013 +0200

    xf86-video-savage: bump to version 2.3.7
    
    Signed-off-by: Tormod Volden <debian.tormod@gmail.com>

commit 966a0e95d6c420e5e0ab01e665144e66a4004846
Author: Alexander Grothe <alexander.grothe@gmail.com>
Date:   Sun Sep 15 11:00:41 2013 +0200

    Drop miInitializeBackingStore() call
    
    It was only needed up to xserver 1.4 and is not supported in the
    recent xserver versions.
    
    Thanks to Alexander Grothe for reporting the issue and providing
    the fix.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=65444
    
    > commit 1cb0261ef54b7dd6a7ef84e1c3959e424706228b
    > Author: Daniel Martin <consume.noise@gmail.com>
    > Date:   Thu Sep 6 00:38:26 2012 +0200
    >
    >    dix: Delete mibstore.h
    >
    >    Since Nov 2010 (commit c4c4676) the only purpose of mibstore.h was to
    >    define an empty function (miInitializeBackingStore()) for backward
    >    compatibility. Time to say goodbye.
    
    Signed-off-by: Tormod Volden <debian.tormod@gmail.com>

commit 44581aef5f878e7f2b34d5693d50ef75263b195c
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Wed Feb 6 22:14:59 2013 +0100

    Fix video window height on MX/IX/SuperSavage
    
    Some copy-pasto caused the width to be written into the height register.
    
    Thanks to Hans-Jürgen Mauser for pointing out a couple of more places this
    was wrong.
    
    Signed-off-by: Tormod Volden <debian.tormod@gmail.com>

commit 3425ddb4c5dd7bbd91068c7ba0b1c001719795a5
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Thu May 9 12:39:58 2013 +0000

    Fix building with TRACEON defined
    
    Signed-off-by: Tormod Volden <debian.tormod@gmail.com>

commit ac460e6836bdd2cd16c9d29743376c16fdc6924e
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Tue May 7 22:41:31 2013 +0200

    exa: Use exaGetPixmapFirstPixel() instead of devPrivate.ptr
    
    Signed-off-by: Tormod Volden <debian.tormod@gmail.com>

commit c30f9b4a61283f21f6bd230950f52961afa203cf
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Thu May 9 12:36:33 2013 +0000

    Really fix default accel arch when built with no XAA
    
    After ca9718a887ecbc59b76869af673791ab591b849b it would
    still default to XAA unless AccelMethod option was used.
    
    Make sure the default is EXA if there is no XAA support.
    
    Signed-off-by: Tormod Volden <debian.tormod@gmail.com>

commit ca9718a887ecbc59b76869af673791ab591b849b
Author: Dave Airlie <airlied@gmail.com>
Date:   Sat Dec 22 20:00:00 2012 +1000

    savage: fix default accel arch when built with no XAA
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 3d181030a6ba2205a57ef4665e53aed0251ccaa6
Author: Dave Airlie <airlied@gmail.com>
Date:   Wed Jul 18 18:52:38 2012 +1000

    savage: move compat-api.h down to proper place.
    
    This screws up when DRI isn't enabled.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit cb27a7a072c6e087a2e272d84c1d569dc717da8b
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jul 17 16:05:09 2012 +1000

    xf86-video-savage: bump to version 2.3.6
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit d7edd7c545473d5ed80c9a46c1405042267a7293
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Jul 16 03:39:32 2012 +0100

    savage: make build with no xaa server.
    
    This fixes savage build against the no XAA server.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 508e0742b7d1ac1e4ff6b648d19bfa062c535d61
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Jul 2 12:29:41 2012 +0100

    savage: bump to 2.3.5
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 430b956b49b6c883189074ce13bc234545b714e0
Author: Dave Airlie <airlied@redhat.com>
Date:   Wed Jun 6 11:24:31 2012 +0100

    savage: i2c drop xf86Screens usage.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit a2714fb09e1e0badbb3e98e24d4b1ed92003bdb9
Author: Dave Airlie <airlied@redhat.com>
Date:   Wed Jun 6 11:22:29 2012 +0100

    savage: port to new compat API
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit de22eab9a21df80fe965dc37d21ba3ac2b9f5fd0
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Wed Feb 15 22:20:37 2012 +0100

    Refactor BIOS modes retrieval to call VBEGetVBEInfo only once
    
    Otherwise, calling it twice would trigger a VBE bug when using
    xserver 1.12.
    
    Signed-off-by: Tormod Volden <debian.tormod@gmail.com>

commit 63dd44674a28263c5d8d6aec8b72e95f94d3fe6c
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Mar 23 19:46:12 2012 -0700

    xf86-video-savage 2.3.4
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit dfcc325f55d580eb630f3b236eadf99f6b7d6ad6
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Mar 23 19:38:07 2012 -0700

    Add savage_pciids.h to src/Makefile.am to fix distcheck
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c4022796ec69bb3223d435d8442f9168aebe9c3d
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 17 15:35:39 2012 +1000

    Untangle XF86DRI from the driver-specific DRI define
    
    XF86DRI is defined by xorg-server.h, so --disable-dri in the driver
    itself does exactly nothing other than not fill in the CFLAGS and thus stop
    the driver from compiling.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Tormod Volden <debian.tormod@gmail.com>

commit 05f74bd80018bc503ff5631b357fc0b02df6187f
Author: Andrew Turner <andrew@fubar.geek.nz>
Date:   Fri Oct 14 00:18:40 2011 +0200

    Merge almost identical code in SAVAGEInitVisualConfigs
    
    https://bugs.freedesktop.org/show_bug.cgi?id=9961
    
    Signed-off-by: Andrew Turner <andrew@fubar.geek.nz>
    [Tormod: Rename table to SAVAGEVisuals]
    Signed-off-by: Tormod Volden <debian.tormod@gmail.com>

commit 0600b7279382c66445506fa98dc50299574a1abd
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Sun Dec 4 23:36:19 2011 +0100

    Avoid leading underscores in #include guards
    
    In a user header file, the macro name should not begin with `_'
    http://gcc.gnu.org/onlinedocs/cpp/Once_002dOnly-Headers.html
    
    Signed-off-by: Tormod Volden <debian.tormod@gmail.com>

commit 10f319e43f77fef450aa723eff25bd200600c48d
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Sun Dec 4 23:36:18 2011 +0100

    Do not use the deprecated xf86PciInfo.h from xserver
    
    Instead maintain our own list of supported PCI IDs.
    
    Signed-off-by: Tormod Volden <debian.tormod@gmail.com>

commit c3eaacd25358c225e355a1ea7d64dece8188b69a
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Dec 19 17:23:35 2011 -0500

    Fix for new vgahw ABI
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit a0776b675a4a62d972d135508079950b8adbfe28
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Dec 19 17:22:53 2011 -0500

    Fall back to shadowfb if XAA is unavailable
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 4618374e37674345303b5b44474195def65bba2a
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Jun 22 17:05:37 2011 -0400

    Don't include xf86Priv.h
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 8b9c81bacf45a9f56b0ec275e1b48e1407380baf
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Sat Oct 8 21:55:38 2011 +0200

    Bump version to 2.3.3

commit f7516fd3a01241aaeab65cd409091e68b4be234a
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Sun Sep 18 22:28:31 2011 +0200

    savage: Warn if broken drm maps are detected
    
    Linux kernel 2.6.30 - 2.6.39 had broken drm maps which would result
    in assorted problems. Leave a message in the log if it looks like
    the framebuffer map and the aperture map are mixed up.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=32511
    
    Signed-off-by: Tormod Volden <debian.tormod@gmail.com>

commit ca6c41fd8c9fcb563ee5f97689806edcb0da54bf
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Sat Sep 17 11:58:50 2011 +0200

    savage: Avoid unnecessary float calculation in video display
    
    There is no reason to do the division using floats as long as
    the result is an integer and there is no risk of intermediate
    overflow.
    
    This is in the code for "Old" chipsets. Integer division was already
    used in the parallel code for "New" chipsets.
    
    Also fixed up the whitespace in both blocks.
    
    Signed-off-by: Tormod Volden <debian.tormod@gmail.com>
    Reviewed-by: Matt Turner <mattst88@gmail.com>

commit f27eac4b3fe9e6f13d3c54711488ebe7280f24dd
Author: Hans-Juergen Mauser <hjmauser@gmx.net>
Date:   Sat Sep 17 11:22:30 2011 +0200

    savage: Fix Xv scaling on non-native resolutions
    
    If I set the resolution to 800x600 for example (to be able to use the
    TV output in full screen mode), I only can see 800/1024 = 0,78 of the
    real video width, no matter if the video is displayed in a small player
    window or enlarged to full screen. On the right of the video display,
    the remaining width is filled with a black (or sometimes blue) bar.
    
    The problem was mainly that only the drawing starting point was modified
    by the scaling factor, but not the size-defining end of the drawing
    rectangle.
    
    https://bugs.launchpad.net/bugs/670790
    
    Signed-off-by: Hans-Juergen Mauser <hjmauser@gmx.net>
    Reviewed-by: Tormod Volden <debian.tormod@gmail.com>
    Acked-by: Matt Turner <mattst88@gmail.com>

commit d177ae0b11a1b47ce088cce8c3c6e0f94a706b5e
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Thu Apr 21 00:17:15 2011 +0200

    savage: Fix &/&& typo in "magical" register setup
    
    Found with CFLAGS=-Wlogical-op
    
    Signed-off-by: Tormod Volden <debian.tormod@gmail.com>
    Reviewed-by: Alex Deucher <alexdeucher@gmail.com>

commit 092d2aa5502d10b7f994003882202f2ffda5c9aa
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Tue Apr 19 00:02:50 2011 +0200

    savage: Make SAVAGESelectBuffer() private (static)
    
    Also clean out some unused prototypes from savage_driver.h
    
    Signed-off-by: Tormod Volden <debian.tormod@gmail.com>
    Reviewed-by: Matt Turner <mattst88@gmail.com>
    Reviewed-by: Alex Deucher <alexdeucher@gmail.com>

commit 644fcdfdac61500e61e7bfd5ac98f780d87ef803
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Mon Apr 18 23:08:55 2011 +0200

    savage: Factor out a SAVAGESetAgpMode and call it on resume
    
    This should fix resume with AGP. After all these years...
    
    https://bugzilla.kernel.org/show_bug.cgi?id=4607
    
    Signed-off-by: Tormod Volden <debian.tormod@gmail.com>
    Reviewed-by: Matt Turner <mattst88@gmail.com>
    Reviewed-by: Alex Deucher <alexdeucher@gmail.com>

commit ce6d156b72971bb8215a9443cbe76ce007c79663
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Mon Apr 18 22:36:25 2011 +0200

    savage: New SAVAGEDRIResume function
    
    Move DRI stuff from savage_driver.c to savage_dri.c
    
    Signed-off-by: Tormod Volden <debian.tormod@gmail.com>
    Reviewed-by: Matt Turner <mattst88@gmail.com>
    Reviewed-by: Alex Deucher <alexdeucher@gmail.com>

commit dad240d81ea5fa946d494467e677c6e1a3a12fd7
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Mon Apr 18 22:04:00 2011 +0200

    savage: Fix logic in waitHSync
    
    Bit-masking the result of a boolean negation seems pointless,
    so I guess this is what was intended: Only look at bit 0 of the
    inStatus result.
    
    Signed-off-by: Tormod Volden <debian.tormod@gmail.com>
    Reviewed-by: Matt Turner <mattst88@gmail.com>
    Reviewed-by: Alex Deucher <alexdeucher@gmail.com>

commit a4f93e8860494285444e6b8a6ba801b9db8c9cdc
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Thu Mar 31 23:13:55 2011 +0200

    Fix wrong frequency unit in trace output
    
    The mode pixel clock frequency is in kHz, not Hz.
    
    Signed-off-by: Tormod Volden <debian.tormod@gmail.com>

commit aff8f966c6d3f7dbad2d92d040ce7f5c4b286eef
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Sun Feb 13 23:04:09 2011 +0100

    Use proper casts on framebuffer addresses
    
    Correction to df8059025cafadaeea7672842d31134ed8c9c5df.
    Casting addresses to int is a 32bitism. If we want to use
    this intermediate cast to silence compiler warnings, we
    should use uintptr_t instead to not introduce potential
    bit truncation.
    
    Thanks to Mark Kettenis for spotting this.
    
    Signed-off-by: Tormod Volden <debian.tormod@gmail.com>

commit 6b22be096bed59a853e5e1cdd25d8943cce30d4f
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Sun Jan 23 23:45:49 2011 +0100

    savage: Fix initialization typo in SAVAGEDRIMoveBuffers
    
    This was warned about when building with -O2, and seems
    to be a copy-and-paste glitch.
    
    savage_dri.c: In function ‘SAVAGEDRIMoveBuffers’:
    savage_dri.c:1445: warning: ‘pptNew2’ may be used uninitialized in this function

commit 9872b5f7ce7a7b07ff68bd2c389c56a3cb1b4ed6
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Sun Jan 23 22:47:01 2011 +0100

    savage: Fix building with TRACEON defined
    
    Two warnings and an error.

commit b018d343e6a6810afdaf1a73091dd9bc8c1c95bd
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Sun Jan 23 20:23:49 2011 +0100

    savage: Setup tiled surface registers in SavageEnterVT
    
    These registers are cleared after suspend/resume, so set them
    up again in EnterVT.

commit f3cd2946d0f38e89643aa6624e6bf35472828995
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Sun Jan 23 20:23:48 2011 +0100

    savage: Factor out a SAVAGEDRISetupTiledSurfaceRegs function
    
    The tiled surface registers were only setup in SAVAGEDRIScreenInit,
    however, after suspend/resume these registers must be set up again.
    So factor it out in a new function so it can be reused.

commit 055ca25faeb9decee091e8c59134c8f537bb7bc3
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Sun Jan 23 19:28:47 2011 +0100

    savage: Cast all handles before printing them
    
    Removes the last bunch of -Wall build warnings.
    
    savage_dri.c:490: warning: format ‘%08lx’ expects type ‘long unsigned int’,
    but argument 5 has type ‘drm_handle_t’
    ...

commit 3f18b334812086e5f487a4570a34a3906a67724c
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Sun Jan 23 15:49:58 2011 +0100

    savage: Fix ambiguity in SavageLoadPaletteSavage4
    
    It looks like "!" was meant for logic negation and the parentheses
    were wrong.
    
    I don't have a Savage 4 so I can't check if this fixes or breaks
    anything.

commit 6f8aa9c90cccbd893323f5f1892958b7f46e400d
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Sun Jan 23 15:49:57 2011 +0100

    savage: Drop unused variables and functions
    
    Silence -Wall warnings.
    
    The functions are just #if'ed out, to be left for inspiration.

commit df8059025cafadaeea7672842d31134ed8c9c5df
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Sun Jan 23 12:47:04 2011 +0100

    savage: More (intermediate) casts to silence warnings
    
    savage_dga.c: In function ‘Savage_OpenFramebuffer’:
    savage_dga.c:393: warning: cast to pointer from integer of different size
    
    savage_dri.c: In function ‘SAVAGEDRIScreenInit’:
    savage_dri.c:924: warning: cast to pointer from integer of different size

commit 35d9734049a0f701d2c1f84f778f30816176d29e
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Sun Jan 23 12:47:02 2011 +0100

    savage: Replace deprecated x(c)alloc/xfree with m/calloc/free
    
    sed -i 's/xalloc/malloc/g; s/xcalloc/calloc/g; s/xfree/free/g'
    
    Also replace xrealloc with realloc.

commit 0cbb6d275726aaed648b5ea4dcff45ce14388f91
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Sun Jan 23 12:47:03 2011 +0100

    savage: Add casts to silence build warnings
    
    savage_exa.c: In function ‘SavageUploadToScreen’:
    savage_exa.c:545: warning: passing argument 1 of ‘memcpy’ discards qualifiers from pointer target type
    /usr/include/bits/string3.h:49: note: expected ‘void * restrict’ but argument is of type ‘volatile CARD32 *’
    
    savage_video.c: In function ‘SavagePutImage’:
    savage_video.c:2007: warning: format ‘%ld’ expects type ‘long int’, but argument 4 has type ‘drmSize’
    savage_video.c:2007: warning: format ‘%ld’ expects type ‘long int’, but argument 5 has type ‘int’

commit cdfbd9674ccce6d0c96c1b16ad61eac5d5648e43
Author: Dave Airlie <airlied@linux.ie>
Date:   Sun Dec 5 19:09:12 2010 +1000

    savage 2.3.2

commit 830e58d086828fa0431303df32a847ddd3022654
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Nov 25 11:58:06 2010 +1000

    savage: fix use of privates without initialisation
    
    Fixes bug 31614.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 01eacf0d219dc514c2f3a2e5afd2f840412ae510
Author: Jesse Adkins <jesserayadkins@gmail.com>
Date:   Tue Sep 28 13:29:51 2010 -0700

    Purge cvs tags.
    
    Signed-off-by: Jesse Adkins <jesserayadkins@gmail.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e67c1d6f54b13ce81c4cfcd76e03d5623a02febd
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 16:49:04 2010 -0400

    config: add comments for main statements

commit e3dadc75919d9a11660b74b3d5615635bab3e0fd
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 16:07:00 2010 -0400

    config: replace deprecated use of AC_OUTPUT with AC_CONFIG_FILES
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit cd4366c50525a0e901a8aee9846a6a6d132bfc07
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 14:37:41 2010 -0400

    config: replace deprecated AC_HELP_STRING with AS_HELP_STRING
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 840fc7500f2c0e9024c29426c91e67fd711d1927
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 14:05:23 2010 -0400

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit c6baebf67704994266bad35833be947902e728c7
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 09:27:42 2010 -0400

    config: complete AC_INIT m4 quoting
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 1c701d54902e818177f6068bd32cda76b7acedbd
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 21:54:12 2010 -0400

    config: remove unrequired AC_SUBST([DRI_CFLAGS])
    
    This macro is called by PKG_CHECK_MODULES
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 0679802ae9965983007ec9a37554ea96c53921ba
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 21:44:58 2010 -0400

    config: remove unrequired AC_SUBST([XORG_CFLAGS])
    
    This macro is called by PKG_CHECK_MODULES
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit d56dd52399dc47f2873678c70cbfd1e4ebccd614
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 20:24:42 2010 -0400

    config: remove unrequired AC_HEADER_STDC
    
    Autoconf says:
    "This macro is obsolescent, as current systems have conforming
    header files. New programs need not use this macro".
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
